asp.net-core – AppHarbor – ASP.NET核心支持

AppHarbor是否支持ASP.NET Core?

当我尝试部署我的示例应用程序时(从Visual Studio 2015 RC模板),我在AppHarbor中获得了以下构建日志:

Build started 5/4/2015 2:28:38 PM.
     1>Project "D:\temp\g3zdb4oh.rcv\input\ASPNetTest.sln" on node 1 (default targets).
     1>ValidateSolutionConfiguration:
         Building solution configuration "Release|Any CPU".
     1>Project "D:\temp\g3zdb4oh.rcv\input\ASPNetTest.sln" (1) is building "D:\temp\g3zdb4oh.rcv\input\src\ASPNetTest\ASPNetTest.xproj" (2) on node 1 (default targets).
     2>D:\temp\g3zdb4oh.rcv\input\src\ASPNetTest\ASPNetTest.xproj(7,3): error MSB4019: The imported project "C:\Program Files (x86)\MSBuild\Microsoft\VisualStudio\v11.0\DNX\Microsoft.DNX.Props" was not found. Confirm that the path in the <Import> declaration is correct, and that the file exists on disk.
     2>Done Building Project "D:\temp\g3zdb4oh.rcv\input\src\ASPNetTest\ASPNetTest.xproj" (default targets) -- FAILED.
     1>Done Building Project "D:\temp\g3zdb4oh.rcv\input\ASPNetTest.sln" (default targets) -- FAILED.

Build FAILED.

       "D:\temp\g3zdb4oh.rcv\input\ASPNetTest.sln" (default target) (1) ->
       "D:\temp\g3zdb4oh.rcv\input\src\ASPNetTest\ASPNetTest.xproj" (default target) (2) ->
         D:\temp\g3zdb4oh.rcv\input\src\ASPNetTest\ASPNetTest.xproj(7,3): error MSB4019: The imported project "C:\Program Files (x86)\MSBuild\Microsoft\VisualStudio\v11.0\DNX\Microsoft.DNX.Props" was not found. Confirm that the path in the <Import> declaration is correct, and that the file exists on disk.

    0 Warning(s)
    1 Error(s)

Time Elapsed 00:00:00.03

我试图部署的代码是这样的:
https://github.com/yngndrw/ASPNetTest

我不确定我是否遗漏了某些内容,或者AppHarbor是否支持此功能?

最佳答案
AppHarbor的Runeresponded to my question

Hi,

ASP.NET 5 / vNext and .NET 4.6 is not officially supported yet as they are still at the RC state – official support will be rolled out and deployed across all servers when they reach RTM. Note however that for vNext / ASP.NET 5 application you may still be able to run those applications on AppHarbor, but for now you’d have to work around the missing build targets projects, as those are not currently available on AppHarbor’s build servers.

AppHarbor will continue to support earlier versions of the .NET Framework including 4+, and there are no plans to discontinue support for applications requiring those frameworks when vNext and .NET 4.6 is officially supported.

We may also introduce beta support or guidelines for deploying apps using the newer frameworks prior to the official RCs. I’ll make sure to update this thread if/when we do this.

Best,
Rune

一旦添加支持,我将进一步更新.谢谢.

转载注明原文:asp.net-core – AppHarbor – ASP.NET核心支持 - 代码日志